import keggapi.*;

public class Esercizio2 {
    
  public static void main(String[] args) throws Exception {
    KEGGLocator  locator = new KEGGLocator();
    KEGGPortType serv    = locator.getKEGGPort();
    Definition[] def = serv.list_organisms();

                // dobbiamo ricostruire l'organismo richiesto dagli argomenti passati da linea di comando
                // poiche' ci possono essere degli spazi nel nome dell'organismo, quest'ultimo puo'
                // estendersi su piu' elementi del vettore args, quindi abbiamo bisogno di concatenarli
                // (il parsing degli argomenti avviene utilizzando lo spazio come elemento separatore)
                String organism = "";
                for (int i = 0; i < args.length; i++) {
      organism += args[i];
      if (i < args.length - 1) organism += " ";
                }

    for (int i = 0; i < def.length; i++) {
      if((def[i].getDefinition()).indexOf(organism)!=-1){
        String[] result;
        //System.out.println(def[i].getEntry_id()+" "+def[i].getDefinition());
        result = serv.get_genes_by_enzyme("ec:2.7.1.6",def[i].getEntry_id());   
        System.out.println(result[0]);
        break;
        }
        
    }
  }
}
